Author Topic: <SOLVED> Problems upgrading from 5.12 to 6.0.  (Read 1197 times)

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
<SOLVED> Problems upgrading from 5.12 to 6.0.
« on: November 18, 2018, 05:51:34 pm »
I have made several attempts to use the upgrade button without luck. It has failed in the same place each time.  The process hangs at "Configuring network (6.0) and does not progress.  The outcome leaves the Wan connection up but not able to pass traffic.

Background:
    My config:
          I run a virtualized environment (Proxmox).  I also employ a pair of Pfsense firewalls for most traffic.   Zentyal provides email and identity services.  Zentyal has both public and private network interfaces.  Zentyal also provides vpn services.  Most modules are installed and configured.

     Attempts:

It is worth noting that something went wrong during the 5.10 to 5.11 update.  When I tried to update to 5.12 apt began to complain about not being the correct version for the libraries installed.  I was able to work around this by backleveling apt apt-utils and apt-https-transport to the previous version.

First attempt -   Pushed the button and waited.  Progress halted at configuring network as noted above.  2 hours went by before I bailed out.  -  No working wan network post reboot.  Restored backup
Second attempt -  Same process up until it hung at configuring the network.  I found and killed that specific process which allowed the upgrade to complete.   No working wan network post reboot.  Restored
Third attempt  -  Decided extra interfaces might be confusing the upgrade.  Disabled docker and rebooted before upgrading.  Same results.   I tried re running the postinstall script for zentyal-network without luck.

At the end of the day I will be able to stand up a new vm and port over the configuration manually before moving the email from one machine to the other.  I am not dependent on the upgrade in place to work. 

Jose,  any thoughts on what I should check for here?  Or, should I just proceed with a manual migration?

Thanks

Denny
« Last Edit: November 24, 2018, 04:03:54 am by half_life »

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #1 on: November 18, 2018, 06:51:34 pm »
I found the thread dealing with the apt problem I described.  Followed the instructions there and am trying the upgrade again.

Fingers crossed.

Later:   

Nope.  Same failure.
« Last Edit: November 18, 2018, 08:10:02 pm by half_life »

Neustradamus

  • Zen Monk
  • **
  • Posts: 63
  • Karma: +0/-3
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #2 on: November 19, 2018, 04:50:49 pm »
Please create an issue here: https://github.com/zentyal/zentyal/issues/

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #3 on: November 20, 2018, 12:53:59 am »
With respect,  tickets are appropriate after it has been identified that it is a bug.  I am a lone person experiencing problems.  I have many years experience troubleshooting zentyal issues.  I will open the ticket once I know enough.

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #4 on: November 24, 2018, 04:03:07 am »
I applied the 5.13 update and then ran the upgrade to 6.   I was successful on  the first try.  The version is now 6.0.1.

Docker and Cockpit running as expected.

Letsencrypt certificates working and automated.

Neustradamus

  • Zen Monk
  • **
  • Posts: 63
  • Karma: +0/-3
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #5 on: November 24, 2018, 04:02:14 pm »
Letsencrypt certificates working and automated.

How?
We search a best solution for it.

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
Re: <SOLVED> Problems upgrading from 5.12 to 6.0.
« Reply #6 on: November 24, 2018, 05:13:23 pm »
I have been told elsewhere that I am "not doing it right" .  Funny,  nginx, apache, postfix,and cockpit are working.

Neustradamus

  • Zen Monk
  • **
  • Posts: 63
  • Karma: +0/-3
    • View Profile
Re: <SOLVED> Problems upgrading from 5.12 to 6.0.
« Reply #7 on: November 26, 2018, 04:38:36 am »
I have been told elsewhere that I am "not doing it right" .  Funny,  nginx, apache, postfix,and cockpit are working.

-> You can explain here: https://github.com/zentyal/zentyal/issues/1836

half_life

  • Bug Hunter
  • Zen Hero
  • *****
  • Posts: 862
  • Karma: +57/-0
    • View Profile
Re: <SOLVED> Problems upgrading from 5.12 to 6.0.
« Reply #8 on: November 26, 2018, 02:50:08 pm »
I am curious,  where did you get stuck getting it setup.  Care to detail the project and the problem you are having?

Neustradamus

  • Zen Monk
  • **
  • Posts: 63
  • Karma: +0/-3
    • View Profile
Re: <SOLVED> Problems upgrading from 5.12 to 6.0.
« Reply #9 on: November 26, 2018, 05:38:14 pm »
I am curious,  where did you get stuck getting it setup.  Care to detail the project and the problem you are having?

By default, there is not Lets Encrypt function, on this forum some people have different solutions, it will be nice to have only perfect one.

davidjm

  • Zen Apprentice
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
Re: Problems upgrading from 5.12 to 6.0.
« Reply #10 on: May 24, 2019, 10:13:39 am »
I applied the 5.13 update and then ran the upgrade to 6.   I was successful on  the first try.  The version is now 6.0.1.

Docker and Cockpit running as expected.

Letsencrypt certificates working and automated.

How did you get Letsencrypt working?